using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("评价方法表")]
    public class T_PE_SAFETY_EVALUATION_RECORD_METHOD : MesEntityBase
    {
        [Description("安全标准化内部评价记录细表")]
        [DataFieldForeignKey("Nav_RecordDetail", "Nav_EvaluationMethod")]
        public Guid? SAFETY_EVALUATION_RECORD_DETAIL_ID { get; set; }

        [Description("安全标准化内部评价记录细表")]
        public virtual T_PE_SAFETY_EVALUATION_RECORD_DETAIL Nav_RecordDetail { get; set; }
        [Description("评价方法")]
        [DataFieldForeignKey("Nav_Method")]
        public Guid? METHOD_ID { get; set; }

        [Description("评价方法")]
        public virtual T_PE_EVALUATION_METHOD Nav_Method { get; set; }
    }
}
